Name: xsidplay
Summary: music player and C64 SID chip emulator for X11
Version: 1.1.4
Release: 4
%define version %{PACKAGE_VERSION}
%define emuversion 1.36.11
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
Source: xsidplay-%{version}.tgz
Source2: libsidplay-%{emuversion}.tgz
Source3: some-sidtunes.tgz
Icon: xsidplay.gif
Copyright: GPL (freely redistributable)
Group: Applications/Sound
BuildRoot: /tmp/xsidplay-build
Patch1: xsidplay-1.1.4-faqs.patch
Patch2: sidplay-1.36.2-bigendian.patch
Patch3: sidplay-1.36.2-x86.patch
Patch4: xsidplay-1.1.4-stil.patch
Patch5: xsidplay-1.1.4-ffspeed.patch
Patch6: xsidplay-1.1.4-gcc.patch

%description
This is a music player and SID chip emulator. With it you can listen to
more than 7300 musics from old and new C64 programs. The majority of
available musics is in the High Voltage SID Collection at:
http://www.dhp.com/~shark/c64music/

%prep
%setup -a 2 -a 3
ln -sf libsidplay-%{emuversion} libsidplay

%patch1 -p1

%ifarch sparc
%patch2 -p1 -b .nobigendian
%endif

%ifarch ppc
%patch2 -p1 -b .nobigendian
%endif

%ifarch m68k
%patch2 -p1 -b .nobigendian
%endif

%ifarch i386
%patch3 -p1 
%endif

%patch4 -p1 -b .bad
%patch5 -p1
%patch6 -p1

%build
cd libsidplay
make depend
make libsidplay.a
cd ../src
QTDIR=/usr/lib/qt make depend ; make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
cp src/sidplay $RPM_BUILD_ROOT/usr/X11R6/bin/xsidplay
mkdir -p $RPM_BUILD_ROOT/usr/lib/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING COPYRIGHT README.1st README.QT HV_SIDS.FAQ STIL.FAQ
%doc some-sidtunes
/usr/X11R6/bin/xsidplay
